Skip to main content
PUT
/
v3
/
scheme-contracts
/
{scheme_contract_id}
Update an existing scheme contract
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/scheme-contracts/{scheme_contract_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "schemes": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "schemes": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "description": "<string>",
        "settings": {}
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "nomenclature": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

scheme_contract_id
string<uuid>
required

The unique identifier for the scheme contract.

Body

application/vnd.api+json

The scheme contract to update.

data
object
required

Response

Get a scheme contract.

JSON API response object

data
object
required

A scheme contract (or region) allocated from the network to a contractor

jsonapi
object
required
included
object[]

Related resources that can be included when a scheme contract is returned

An organisation